// $Id: adjustisearch.js,v 1.1.4.2 2009/11/24 20:48:38 ConnorK Exp $

/**
 * @file
 * Javascript used by the Adjusti-Search module.
 *
 * @ingroup adjustisearch
 */

/**
 * Redirects the form to where it needs to go based on the selected url.
 *
 * @return
 *   False if we're opening a new window, True otherwise.
 */
$(document).ready(function () {
  $('#edit-adjustisearch-search-submit').click(function () {
    if (adjustisearch_newEnabled == 1) {
      if (adjustisearch_is_array(adjustisearch_urlList)) {
        var url = adjustisearch_urlList[$('#edit-adjustisearch-search-type').attr('value')];
        var searchstring = escape($('#edit-adjustisearch-search-input').attr('value'));
        url = url.replace('%search%', searchstring);

        if (url.charAt(0) == '/') {
          return true;
        }
        else {
          window.open(url, 'newwin');
          return false;
        }
      }
      else {
        return true;
      }
    }
    else {
      return true;
    }
  });
});


/**
 * Helper function that checks to see if the value is an array.
 *
 * @param list
 *   variable to be checked for being an array.
 * @return
 *   Boolean representing whether the variable is an array or not.
 */
function adjustisearch_is_array(list) {
    return (list.constructor == Array);
}